# List categories

Retrieves a paginated list of categories.

Endpoint: GET /v1/categories
Version: 1.1.0
Security: Bearer

## Query parameters:

  - `uuids[eq]` (array)

  - `parentUuids[eq]` (array)

  - `codes[eq]` (array)

  - `code[contains]` (string)

  - `code[starts]` (string)

  - `code[ends]` (string)

  - `code[order]` (string)

  - `displayNames[eq]` (array)

  - `displayName[contains]` (string)

  - `displayName[starts]` (string)

  - `displayName[ends]` (string)

  - `displayName[order]` (string)

  - `statuses[eq]` (array)
    Enum: "draft", "published", "unpublished", "removed"

  - `status[order]` (string)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `isRemoved[eq]` (boolean)

  - `page` (integer)

  - `size` (integer)

  - `include[contents]` (boolean)

  - `expand[contents]` (boolean)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this category.

  - `items.parentUuid` (string,null)
    Unique identifier of the parent category. Null for root categories.

  - `items.createdAt` (string, required)
    Timestamp when this category was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this category was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.removedAt` (string,null)
    Timestamp when this category was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.status` (string, required)
    Lifecycle status of a category.
    Enum: "draft", "published", "unpublished", "removed"

  - `items.code` (string, required)
    Code for this category.

  - `items.displayName` (string, required)
    The display name of the category.

  - `items.contentUuids` (array,null)
    List of content UUIDs associated with this category. Only populated when include[contents]=true.

  - `items.contents` (array,null)
    List of locale-specific content for this category. Only populated when expand[contents]=true.

  - `items.contents.uuid` (string, required)
    Unique identifier for this category content.

  - `items.contents.categoryUuid` (string, required)
    Identifier of the category this content belongs to.

  - `items.contents.localeUuid` (string, required)
    Identifier of the locale this content is localized for.

  - `items.contents.createdAt` (string, required)
    Timestamp when this category content was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.contents.updatedAt` (string, required)
    Timestamp when this category content was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.contents.label` (string, required)
    Localized display label for the category.

  - `items.contents.description` (string,null)
    Localized description of the category.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


